import { Entity, PrimaryGeneratedColumn, ManyToOne, JoinColumn } from 'typeorm';
import { Carrera } from '../../carrera/entity/carrera.entity';
import { Programa } from '../../programa/programa.entity';

@Entity()
export class CarreraPrograma {
  @PrimaryGeneratedColumn()
  id_carrera_programa: number;

  @ManyToOne(() => Carrera, (carrera) => carrera.carreraProgramas)
  @JoinColumn({ name: 'id_carrera' })
  carrera: Carrera;

  @ManyToOne(() => Programa, (programa) => programa.carrerasPrograma)
  @JoinColumn({ name: 'id_programa' })
  programa: Programa;
}
