import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Institucion } from '../institucion/entity/institucion.entity';
import { Dia } from '../dia/dia.entity';
import { HoraExcepcion } from '../hora-excepcion/hora-excepcion.entity';

@Entity()
export class InstitucionDia {
  @PrimaryGeneratedColumn()
  id_institucion_dia: number;

  @Column()
  hora_inicio: Date;

  @Column()
  hora_fin: Date;

  @Column()
  activo: boolean;

  @ManyToOne(() => Institucion, (institucion) => institucion.institucionDias)
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(() => Dia, (dia) => dia.institucionesDias)
  @JoinColumn({ name: 'id_dia' })
  dia: Dia;

  @OneToMany(
    () => HoraExcepcion,
    (horaExcepcion) => horaExcepcion.institucionDia,
  )
  horasExcepcion: HoraExcepcion[];
}
