import {
  Entity,
  Column,
  PrimaryGeneratedColumn,
  OneToMany,
  ManyToOne,
  JoinColumn,
} from 'typeorm';
import { Infraccion } from '../infraccion/infraccion.entity';
import { Institucion } from '../institucion/entity/institucion.entity';
import { Multa } from '../multa/multa.entity';

@Entity()
export class InstitucionInfraccion {
  @PrimaryGeneratedColumn()
  id_institucion_infraccion: number;

  @Column()
  dias_multa: number;

  @ManyToOne(
    () => Institucion,
    (institucion) => institucion.institucionInfracciones,
  )
  @JoinColumn({ name: 'id_institucion' })
  institucion: Institucion;

  @ManyToOne(
    () => Infraccion,
    (infraccion) => infraccion.institucionInfracciones,
  )
  @JoinColumn({ name: 'id_infraccion' })
  infraccion: Infraccion;

  @OneToMany(() => Multa, (multa) => multa.institucionInfraccion)
  multas: Multa[];
}
