import { Body, Controller, Get, Post, Put, Query } from '@nestjs/common';
import { ModuloService } from './modulo.service';
// import { Serealize } from '../interceptors/serialize.interceptor';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { ModuloCrearDto } from './dto/modulo-crear.dto';
import { ModuloUpdateDto } from './dto/modulo-update.dto';
@Controller('modulo')
export class ModuloController {
  constructor(private moduloService: ModuloService) {}

  @Post()
  create(@Body() body: ModuloCrearDto) {
    return this.moduloService.create(body.id_institucion, body.modulo);
  }

  @Get()
  get() {
    return this.moduloService.findAll();
  }

  @Get('modulos')
  modulos(@Query() query: IdInstitucionDto) {
    return this.moduloService.findAllByIdInstitucion(
      Number(query.id_institucion),
    );
  }

  @Put()
  update(@Body() body: ModuloUpdateDto) {
    return this.moduloService.update(body);
  }
}
