import { Entity, Column, PrimaryGeneratedColumn, OneToMany } from 'typeorm';
import { Equipo } from '../equipo/equipo.entity';
import { CarreraPrograma } from '../carrera-programa/entity/carrera-programa.entity';

@Entity()
export class Programa {
  @PrimaryGeneratedColumn()
  id_programa: number;

  @Column()
  programa: string;

  @OneToMany(() => Equipo, (equipo) => equipo.programa)
  equipos: Equipo[];

  @OneToMany(
    () => CarreraPrograma,
    (carreraPrograma) => carreraPrograma.programa,
  )
  carrerasPrograma: CarreraPrograma[];
}
